## trac 1.0.1

=== Makefile ===
# == Makefile for Trac related tasks (beyond those supported by setuptools) ==
#
# Automating testing, i18n tasks, documentation generation, ... see HELP below
# ----------------------------------------------------------------------------
#
# Note about customization:
#   No changes to the present Makefile should be necessary,
#   rather copy Makefile.cfg.sample to Makefile.cfg and adapt it
#   to match your local environment.
#
# Note that this is a GNU Makefile, nmake and other abominations are
# not supported.
#
# ============================================================================

define HELP

 Please use `make <target>' where <target> is one of:

  clean               delete all compiled files
  status              show which Python is used and other infos

  [python=...]        variable for selecting Python version

 ---------------- Testing tasks

  unit-test           run unit tests
  functional-test     run functional tests
  test-wiki           shortcut for running all wiki unit tests
  test                run all tests
  coverage            run all tests, under coverage
  figleaf             run all tests, under figleaf

  [db=...]            variable for selecting database backend
  [test=...]          variable for selecting a single test file
  [testopts=...]      variable containing extra options for running tests
  [coverageopts=...]  variable containing extra options for coverage

 ---------------- Code checking tasks

  pylint              check code with pylint

 ---------------- Standalone test server

  server              start tracd

  [port=...]          variable for selecting the port
  [auth=...]          variable for specifying authentication
  [env=...]           variable for the trac environment or parent dir
  [tracdopts=...]     variable containing extra options for tracd

 ---------------- L10N tasks

  init-xy             create catalogs for given xy locale

  extraction          regenerate the catalog templates

  update              update all the catalog files from the templates
  update-xy           update the catalogs for the xy locale only

  compile             compile all the catalog files
  compile-xy          compile the catalogs for the xy locale only

  check               verify all the catalog files
  check-xy            verify the catalogs for the xy locale only

  stats               detailed translation statistics for all catalogs
  stats-pot           total messages in the catalog templates
  stats-xy            translated, fuzzy, untranslated for the xy locale only

  summary             display percent translated for all catalogs
  summary-xy          display percent translated for the xy locale only
                      (suitable for a commit message)

  diff                show relevant changes after an update for all catalogs
  diff-xy             show relevant changes after an update for the xy locale
  [vc=...]            variable containing the version control command to use

  [locale=...]        variable for selecting a set of locales

  [updateopts=...]    variable containing extra options for update (e.g. -N)

 ---------------- Documentation tasks

  apidoc|sphinx       generate the Sphinx documentation (all specified formats)
  apidoc-html         generate the Sphinx documentation in HTML format
  apidoc-pdf          generate the Sphinx documentation in PDF format
  apidoc-check        check for missing symbols in Sphinx documentation

  apiref|epydoc       generate the full API reference using Epydoc

  [sphinxformat=...]  list of formats for generated documentation
  [sphinxopts=...]    variable containing extra options for Sphinx
  [sphinxopts-html=...] variable containing extra options used for html format
  [epydocopts=...]    variable containing extra options for Epydoc
  [dotpath=/.../dot]  path to Graphviz dot program (not used yet)

endef
export HELP

# ` (keep emacs font-lock happy)

define HELP_CFG
 It looks like you don't have a Makefile.cfg file yet.
 You can get started by doing `cp Makefile.cfg.sample Makefile.cfg'
 and then adapt it to your environment.
endef
export HELP_CFG

# ============================================================================

# ----------------------------------------------------------------------------
#
# Main targets
#
# ----------------------------------------------------------------------------

.PHONY: all help status clean clean-bytecode clean-mo

ifdef test
all: status
	python $(test) $(testopts)
else
all: help
endif

help: Makefile.cfg
	@echo "$$HELP"


Makefile.cfg:
	@echo "$$HELP_CFG"

status:
	@echo -n "Python version: "
	@python -V
	@echo -n "figleaf: "
	@-which figleaf 2>/dev/null || echo
	@echo -n "coverage: "
	@-which coverage 2>/dev/null || echo
	@echo "PYTHONPATH=$$PYTHONPATH"
	@echo "TRAC_TEST_DB_URI=$$TRAC_TEST_DB_URI"
	@echo "server-options=$(server-options)"

Trac.egg-info: status
	python setup.py egg_info

clean: clean-bytecode clean-figleaf clean-coverage clean-doc

clean-bytecode:
	find -name \*.py[co] -exec rm {} \;

Makefile: ;

# ----------------------------------------------------------------------------
#
-include Makefile.cfg
#
# ----------------------------------------------------------------------------


# ----------------------------------------------------------------------------
#
# L10N related tasks
#
# ----------------------------------------------------------------------------

catalogs = messages messages-js tracini

ifdef locale
    locales = $(locale)
else
    locales = $(wildcard trac/locale/*/LC_MESSAGES/messages.po)
    locales := $(subst trac/locale/,,$(locales))
    locales := $(subst /LC_MESSAGES/messages.po,,$(locales))
    locales := $(sort $(locales))
endif

# Note: variables only valid within a $(foreach catalog,...) evaluation
catalog.po = trac/locale/$(*)/LC_MESSAGES/$(catalog).po
catalog.pot = trac/locale/$(catalog).pot
catalog_stripped = $(subst messages,,$(subst -,,$(catalog)))
_catalog = $(if $(catalog_stripped),_)$(catalog_stripped)

.PHONY: extract extraction update compile check stats summary diff


init-%:
	@$(foreach catalog,$(catalogs), \
	    [ -e $(catalog.po) ] \
	    && echo "$(catalog.po) already exists" \
	    || python setup.py init_catalog$(_catalog) -l $(*);)


extract extraction:
	python setup.py $(foreach catalog,$(catalogs),\
	    extract_messages$(_catalog))


update-%:
	python setup.py $(foreach catalog,$(catalogs), \
	    update_catalog$(_catalog) -l $(*)) $(updateopts)

ifdef locale
update: $(addprefix update-,$(locale))
else
update:
	python setup.py $(foreach catalog,$(catalogs), \
	    update_catalog$(_catalog)) $(updateopts)
endif


compile-%:
	python setup.py $(foreach catalog,$(catalogs), \
	    compile_catalog$(_catalog) -l $(*)) \
	    generate_messages_js -l $(*)

ifdef locale
compile: $(addprefix compile-,$(locale))
else
compile:
	python setup.py $(foreach catalog,$(catalogs), \
	    compile_catalog$(_catalog))
endif


check: pre-check $(addprefix check-,$(locales))
	@echo "All catalogs checked are OK"

pre-check:
	@echo "checking catalogs for $(locales)..."

check-%:
	@echo -n "$(@): "
	python setup.py $(foreach catalog,$(catalogs), \
	    check_catalog$(_catalog) -l $(*))
	@$(foreach catalog,$(catalogs), \
	    msgfmt --check $(catalog.po) &&) echo msgfmt OK
	@rm -f messages.mo


stats: pre-stats $(addprefix stats-,$(locales))

pre-stats: stats-pot
	@echo "translation statistics for $(locales)..."

stats-pot:
	@echo "translation statistics for catalog templates:"
	@$(foreach catalog,$(catalogs), \
	    echo -n "$(catalog.pot): "; \
	    msgfmt --statistics $(catalog.pot);)
	@rm -f messages.mo

stats-%:
	@$(foreach catalog,$(catalogs), \
	    [ -e $(catalog.po) ] \
	    && { echo -n "$(catalog.po): "; \
	         msgfmt --statistics $(catalog.po); } \
	    || echo "$(catalog.po) doesn't exist (make init-$(*))";)
	@rm -f messages.mo


summary: $(addprefix summary-,$(locales))

define untranslated-sh
LC_ALL=C msgfmt --statistics $(catalog.pot) 2>&1 \
  | tail -1 \
  | sed -e 's/0 translated messages, \([0-9]*\) un.*/\1/'
endef

define translated-sh
{ LC_ALL=C msgfmt --statistics $(catalog.po) 2>&1 || echo 0; } \
    | tail -1 \
    | sed -e 's/[^0-9]*\([0-9]*\) translated.*/\1/'
endef

MESSAGES_TOTAL = \
    $(eval MESSAGES_TOTAL := ($(foreach catalog,$(catalogs), \
                                  $(shell $(untranslated-sh)) + ) 0)) \
    $(MESSAGES_TOTAL)

summary-%:
	@python -c "print 'l10n/$(*): translations updated (%d%%)' \
	    % (($(foreach catalog,$(catalogs), \
	          $(shell $(translated-sh)) + ) 0) * 100.0 \
	       / $(MESSAGES_TOTAL))"
	@rm -f messages.mo


diff: $(addprefix diff-,$(locales))

vc ?= svn

diff-%:
	@diff=l10n-$(*).diff; \
	$(vc) diff trac/locale/$(*) > $$diff; \
	[ -s $$diff ] && { \
	    echo -n "# $(*) changed -> "; \
	    python contrib/l10n_diff_index.py $$diff; \
	} || rm $$diff

# The above create l10n-xy.diff files but also a  l10n-xy.diff.index
# file pointing to "interesting" diffs (message changes or addition
# for valid msgid).
#
# See also contrib/l10n_sanitize_diffs.py, which removes in-file
# *conflicts* for line change only.

clean-mo:
	find trac/locale -name \*.mo -exec rm {} \;
	find trac/htdocs/js/messages -name \*.js -exec rm {} \;


# ----------------------------------------------------------------------------
#
# Testing related tasks
#
# ----------------------------------------------------------------------------

.PHONY: test unit-test functional-test test-wiki

test: unit-test functional-test

unit-test: Trac.egg-info
	python ./trac/test.py --skip-functional-tests $(testopts)

functional-test: Trac.egg-info
	python trac/tests/functional/__init__.py -v $(testopts)

test-wiki:
	python trac/tests/allwiki.py $(testopts)

# ----------------------------------------------------------------------------
#
# Code checking tasks
#
# ----------------------------------------------------------------------------

.PHONY: pylint

pylint:
	pylint \
	    --include-ids=y --persistent=n --comment=n --init-import=y \
	    --disable=E0102,E0211,E0213,E0602,E0611,E1002,E1101,E1102,E1103 \
	    --disable=F0401 \
	    --disable=W0102,W0141,W0142,W0201,W0212,W0221,W0223,W0231,W0232, \
	    --disable=W0401,W0511,W0603,W0613,W0614,W0621,W0622,W0703 \
	    --disable=C0103,C0111 \
	    trac tracopt

# ----------------------------------------------------------------------------
#
# Coverage related tasks
#
# (see http://nedbatchelder.com/code/coverage/)
#
# ----------------------------------------------------------------------------

.PHONY: coverage clean-coverage show-coverage

coverage: clean-coverage test-coverage show-coverage

clean-coverage:
	coverage erase
	@rm -fr htmlcov

ifdef test
test-coverage:
	coverage run $(test) $(testopts)
else
test-coverage: unit-test-coverage functional-test-coverage
endif

unit-test-coverage:
	coverage run -a $(coverageopts) trac/test.py --skip-functional-tests

functional-test-coverage:
	FIGLEAF='coverage run -a $(coverageopts)' python \
	    trac/tests/functional/testcases.py -v

show-coverage: htmlcov/index.html
	#coverage report

htmlcov/index.html:
	coverage html \
	    --omit=$(subst $(space),$(comma),$(wildcard trac/*/templates)),trac/templates

# ----------------------------------------------------------------------------
#
# Figleaf based coverage tasks
#
# (see http://darcs.idyll.org/~t/projects/figleaf/doc/)
#
# ** NOTE: there are still several issues with this **
#  - as soon as a DocTestSuite is run, figleaf gets confused
#  - functional-test-figleaf is broken (no .figleaf generated)
#
# ----------------------------------------------------------------------------

.PHONY: figleaf clean-figleaf show-figleaf

figleaf: clean-figleaf test-figleaf show-figleaf

clean-figleaf:
	rm -f .figleaf* *.figleaf
	rm -fr figleaf

show-figleaf: figleaf/index.html

figleaf/index.html: $(wildcard *.figleaf)
	figleaf2html \
	    --output-directory=figleaf \

=== debian/changelog ===
trac (1.0.1-2) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * upload to unstable
  * clean up README.Debian

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 09 May 2013 17:05:50 -0400

trac (1.0.1-1) experimental; urgency=low

  [ Daniel Kahn Gillmor ]
  * New Upstream Release (Closes: #690018)
  * bumped debhelper to version 9
  * added myself to Uploaders
  * dropped 30_default_charset_utf8.patch, incorporated upstream.
  * bumped Standard-Versions to 3.9.4 (no changes needed)
  * switched Vcs-*: to collab-maint git

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 Mar 2013 04:56:50 -0400

=== debian/control ===
Source: trac
Section: web
Priority: optional
Build-Depends: debhelper (>= 9), python-genshi (>= 0.6)
Build-Depends-Indep: python (>= 2.6.6-3~),
                     python-babel (>= 0.9.5),
                     python-setuptools (>= 0.6)
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>,
           W. Martin Borgert <debacle@debian.org>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
Vcs-Git: git://anonscm.debian.org/collab-maint/trac.git
X-Python-Version: >= 2.5
Homepage: http://trac.edgewall.com

Package: trac
Architecture: all
Depends: libjs-excanvas,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-jquery-timepicker,
         python-genshi (>= 0.6),
         python-setuptools (>= 0.6),
         ${misc:Depends},
         ${python:Depends}
Recommends: apache2 | httpd,
            python-babel (>= 0.9.5),
            python-docutils (>= 0.3.9),
            python-pygments (>= 0.6),
            python-subversion,
            python-tz
Suggests: libapache2-mod-wsgi,
          python-psycopg2,
          python-textile (>= 2.0),
          trac-accountmanager,
          trac-authopenid,
          trac-bitten,
          trac-bzr (>= 0.2+bzr45),
          trac-customfieldadmin,
          trac-email2trac,
          trac-graphviz,
          trac-ja-resource,
          trac-mastertickets,
          trac-mercurial (>= 0.11.0.4),
          trac-spamfilter,
          trac-wikiprint,
          trac-wikirename,
          trac-wysiwyg,
          trac-xmlrpc
Description: Enhanced wiki and issue tracking system for software development projects
 Trac uses a minimalistic approach to web-based software project management.
 Its mission is to help developers write great software while staying out of
 the way. Trac should impose as little as possible on a team's established
 development process and policies.
 It provides an interface to Subversion (or other version control systems),
 an integrated Wiki and convenient reporting facilities.
 Trac allows wiki markup in issue descriptions and commit messages, creating
 links and seamless references between bugs, tasks, changesets, files and
 wiki pages. A timeline shows all current and past project events in order,
 making the acquisition of an overview of the project and tracking progress
 very easy. The roadmap shows the road ahead, listing the upcoming milestones.

=== debian/rules ===
#!/usr/bin/make -f
BACKUP_JQUERY_UI_IMAGES = mv trac/htdocs/css/jquery-ui/images debian/images.backup; touch trac/htdocs/css/jquery-ui/images
RESTORE_JQUERY_UI_IMAGES = rm -f trac/htdocs/css/jquery-ui/images; mv debian/images.backup trac/htdocs/css/jquery-ui/images 

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_compress:
	dh_compress -X.py -X-hook

override_dh_fixperms:
	dh_fixperms
	find debian/trac/usr/share/pyshared/trac -type f -print0 2>/dev/null | xargs -0r chmod 644
	chmod 755 debian/trac/usr/share/pyshared/trac/admin/templates/deploy_trac.*
	chmod 755 debian/trac/usr/share/pyshared/trac/web/*_frontend.py

override_dh_auto_install:
	$(BACKUP_JQUERY_UI_IMAGES)
	dh_auto_install --buildsystem=python_distutils
	$(RESTORE_JQUERY_UI_IMAGES)

override_dh_auto_build:
	$(BACKUP_JQUERY_UI_IMAGES)
	dh_auto_build --buildsystem=python_distutils
	$(RESTORE_JQUERY_UI_IMAGES)

=== debian/watch ===
version=3
http://ftp.edgewall.com/pub/trac/Trac-([\d\.]*).tar.gz debian uupdate

## trac 1.0.2%2bdfsg

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
  ---------------- Standalone test server
 
-  server              start tracd
+  [start-]server      start tracd
 
   [port=...]          variable for selecting the port
   [auth=...]          variable for specifying authentication
@@ -95,10 +95,17 @@
   [epydocopts=...]    variable containing extra options for Epydoc
   [dotpath=/.../dot]  path to Graphviz dot program (not used yet)
 
+ ---------------- Miscellaneous
+
+  start-admin         start trac-admin (on `env')
+  start-python        start the Python interpreter
+
+  [adminopts=...]     variable containing extra options for trac-admin
+
 endef
 export HELP
 
-# ` (keep emacs font-lock happy)
+# ' (keep emacs font-lock happy)
 
 define HELP_CFG
  It looks like you don't have a Makefile.cfg file yet.
@@ -154,6 +161,11 @@
 
 # ----------------------------------------------------------------------------
 #
+# Copy Makefile.cfg.sample to Makefile.cfg and adapt to your local
+# environment, no customizations to the present Makefile should be
+# necessary.
+#
+#
 -include Makefile.cfg
 #
 # ----------------------------------------------------------------------------
@@ -220,7 +232,7 @@
 else
 compile:
 	python setup.py $(foreach catalog,$(catalogs), \
-	    compile_catalog$(_catalog))
+	    compile_catalog$(_catalog)) generate_messages_js
 endif
 
 
@@ -395,18 +407,3 @@
 #  - as soon as a DocTestSuite is run, figleaf gets confused
 #  - functional-test-figleaf is broken (no .figleaf generated)
 #
-# ----------------------------------------------------------------------------
-
-.PHONY: figleaf clean-figleaf show-figleaf
-
-figleaf: clean-figleaf test-figleaf show-figleaf
-
-clean-figleaf:
-	rm -f .figleaf* *.figleaf
-	rm -fr figleaf
-
-show-figleaf: figleaf/index.html
-
-figleaf/index.html: $(wildcard *.figleaf)
-	figleaf2html \
-	    --output-directory=figleaf \

## trac 1.0.2+dfsg

=== debian/changelog ===
trac (1.0.2+dfsg-2) unstable; urgency=medium

  * apply upstream patch to fix syntax highlighting (Closes: #771799)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 03 Dec 2014 12:00:13 +0000

trac (1.0.2+dfsg-1) unstable; urgency=medium

  [gregor herrmann <gregoa@debian.org>  Tue, 25 Nov 2014 23:25:18 +0100]
  * Fix "[trac] Some sources are not included in your package":
    repack to drop minified javascript files from source package:
    - debian/copyright:
      + add Files-Excluded
      + update Comment about them
    - drop debian/source/lintian-overrides
    - add dversionmangle to debian/watch
    (Closes: #769833)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 25 Nov 2014 23:02:26 +0000

trac (1.0.2-1) unstable; urgency=low

  * new upstream (Closes: #766681).
  * bump Standards-Version to 3.9.6 (no changes needed)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 24 Oct 2014 23:10:51 +0000

trac (1.0.1-3) unstable; urgency=medium

  * clean up build process now that dh_python2 only expects there to be a
    single version of python 2 installed (Closes: #750338)
  * override lintian warnings about sourceless javascript, which we had
    already dealt with by shipping links to the debian packages (and not
    the minified js)
  * bump Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 25 Jun 2014 12:39:22 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Uploaders: Otavio Salvador <otavio@debian.org>,
            W. Martin Borgert <debacle@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/trac.git
 X-Python-Version: >= 2.5

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://ftp.edgewall.com/pub/trac/Trac-([\d\.]*).tar.gz debian uupdate

## trac 1.0.8+dfsg

=== debian/changelog ===
trac (1.0.8+dfsg-1) unstable; urgency=low

  * new upstream (Closes: #786467)
  * removed syntax highlighting patch
  * add build-dep on dh-python

 -- W. Martin Borgert <debacle@debian.org>  Wed, 12 Aug 2015 00:42:18 +0000

## trac 1.0.9+dfsg

=== Makefile ===
--- 
+++ 
@@ -124,9 +124,12 @@
 
 .PHONY: all help status clean clean-bytecode clean-mo
 
+%.py : status
+	python setup.py -q test -s $(subst /,.,$(@:.py=)).suite $(testopts)
+
 ifdef test
 all: status
-	python $(test) $(testopts)
+	python setup.py -q test -s $(subst /,.,$(test:.py=)).suite $(testopts)
 else
 all: help
 endif
@@ -139,15 +142,22 @@
 	@echo "$$HELP_CFG"
 
 status:
-	@echo -n "Python version: "
-	@python -V
-	@echo -n "figleaf: "
-	@-which figleaf 2>/dev/null || echo
-	@echo -n "coverage: "
-	@-which coverage 2>/dev/null || echo
-	@echo "PYTHONPATH=$$PYTHONPATH"
-	@echo "TRAC_TEST_DB_URI=$$TRAC_TEST_DB_URI"
-	@echo "server-options=$(server-options)"
+	@echo
+	@echo -n "Python: "
+	@which python
+	@echo
+	@python contrib/make_status.py
+	@echo
+	@echo "Variables:"
+	@echo "  PATH=$(PATH-extension)$(SEP)\$$PATH"
+	@echo "  PYTHONPATH=$(PYTHONPATH-extension)$(SEP)\$$PYTHONPATH"
+	@echo "  TRAC_TEST_DB_URI=$$TRAC_TEST_DB_URI"
+	@echo "  server-options=$(server-options)"
+	@echo
+	@echo "External dependencies:"
+	@echo -n "  Git version: "
+	@git --version 2>/dev/null || echo "not installed"
+	@echo
 
 Trac.egg-info: status
 	python setup.py egg_info
@@ -155,7 +165,7 @@
 clean: clean-bytecode clean-figleaf clean-coverage clean-doc
 
 clean-bytecode:
-	find -name \*.py[co] -exec rm {} \;
+	find . -name \*.py[co] -exec rm {} \;
 
 Makefile: ;
 
@@ -337,7 +347,7 @@
 	python ./trac/test.py --skip-functional-tests $(testopts)
 
 functional-test: Trac.egg-info
-	python trac/tests/functional/__init__.py -v $(testopts)
+	python trac/tests/functional/__init__.py $(testopts)
 
 test-wiki:
 	python trac/tests/allwiki.py $(testopts)
@@ -368,6 +378,8 @@
 #
 # ----------------------------------------------------------------------------
 
+COVERAGEOPTS ?= --branch --source=trac,tracopt
+
 .PHONY: coverage clean-coverage show-coverage
 
 coverage: clean-coverage test-coverage show-coverage
@@ -384,26 +396,16 @@
 endif
 
 unit-test-coverage:
-	coverage run -a $(coverageopts) trac/test.py --skip-functional-tests
+	coverage run -a $(coverageopts) $(COVERAGEOPTS) \
+	    trac/test.py --skip-functional-tests $(testopts)
 
 functional-test-coverage:
-	FIGLEAF='coverage run -a $(coverageopts)' python \
-	    trac/tests/functional/testcases.py -v
+	FIGLEAF='coverage run -a $(coverageopts) $(COVERAGEOPTS)' \
+	python trac/tests/functional/__init__.py -v $(testopts)
 
 show-coverage: htmlcov/index.html
-	#coverage report
+	$(if $(START),$(START) $(<))
 
 htmlcov/index.html:
-	coverage html \
-	    --omit=$(subst $(space),$(comma),$(wildcard trac/*/templates)),trac/templates
-
-# ----------------------------------------------------------------------------
-#
-# Figleaf based coverage tasks
-#
-# (see http://darcs.idyll.org/~t/projects/figleaf/doc/)
-#
-# ** NOTE: there are still several issues with this **
-#  - as soon as a DocTestSuite is run, figleaf gets confused
-#  - functional-test-figleaf is broken (no .figleaf generated)
-#
+	coverage html --omit=*/__init__.py
+

=== debian/changelog ===
trac (1.0.9+dfsg-1) unstable; urgency=low

  * new upstream (Closes: #806135)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 12 Dec 2015 01:49:46 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper (>= 9), python-genshi (>= 0.6)
 Build-Depends-Indep: python (>= 2.6.6-3~),
                      python-babel (>= 0.9.5),
-                     python-setuptools (>= 0.6)
+                     python-setuptools (>= 0.6),
+                     dh-python
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Otavio Salvador <otavio@debian.org>,
            W. Martin Borgert <debacle@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	find debian/trac/usr/share/pyshared/trac -type f -print0 2>/dev/null | xargs -0r chmod 644
-	chmod 755 debian/trac/usr/share/pyshared/trac/admin/templates/deploy_trac.*
-	chmod 755 debian/trac/usr/share/pyshared/trac/web/*_frontend.py
+	find debian/trac/usr/lib/python2.7/dist-packages/trac -type f -print0 2>/dev/null | xargs -0r chmod 644
+	chmod 755 debian/trac/usr/lib/python2.7/dist-packages/trac/admin/templates/deploy_trac.*
+	chmod 755 debian/trac/usr/lib/python2.7/dist-packages/trac/web/*_frontend.py
 
 override_dh_auto_install:
 	$(BACKUP_JQUERY_UI_IMAGES)

## trac 1.0.12+dfsg

=== Makefile ===
--- 
+++ 
@@ -149,14 +149,16 @@
 	@python contrib/make_status.py
 	@echo
 	@echo "Variables:"
-	@echo "  PATH=$(PATH-extension)$(SEP)\$$PATH"
-	@echo "  PYTHONPATH=$(PYTHONPATH-extension)$(SEP)\$$PYTHONPATH"
+	@echo "  PATH=$$PATH"
+	@echo "  PYTHONPATH=$$PYTHONPATH"
 	@echo "  TRAC_TEST_DB_URI=$$TRAC_TEST_DB_URI"
 	@echo "  server-options=$(server-options)"
 	@echo
 	@echo "External dependencies:"
 	@echo -n "  Git version: "
 	@git --version 2>/dev/null || echo "not installed"
+	@echo -n "  Subversion version: "
+	@svn --version -q 2>/dev/null || echo "not installed"
 	@echo
 
 Trac.egg-info: status

=== debian/changelog ===
trac (1.0.12+dfsg-1) unstable; urgency=low
 
  * new upstream
  * watch only for stable (1.0.*) versions
  * bump standards-version; no changes required.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 21 Jul 2016 22:30:29 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Uploaders: Otavio Salvador <otavio@debian.org>,
            W. Martin Borgert <debacle@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/trac.git
 X-Python-Version: >= 2.5
 Homepage: http://trac.edgewall.com

## trac 1.0.13+dfsg

=== Makefile ===
--- 
+++ 
@@ -143,7 +143,7 @@
 
 status:
 	@echo
-	@echo -n "Python: "
+	@printf "Python: "
 	@which python
 	@echo
 	@python contrib/make_status.py
@@ -155,9 +155,9 @@
 	@echo "  server-options=$(server-options)"
 	@echo
 	@echo "External dependencies:"
-	@echo -n "  Git version: "
+	@printf "  Git version: "
 	@git --version 2>/dev/null || echo "not installed"
-	@echo -n "  Subversion version: "
+	@printf "  Subversion version: "
 	@svn --version -q 2>/dev/null || echo "not installed"
 	@echo
 
@@ -255,7 +255,7 @@
 	@echo "checking catalogs for $(locales)..."
 
 check-%:
-	@echo -n "$(@): "
+	@printf "$(@): "
 	python setup.py $(foreach catalog,$(catalogs), \
 	    check_catalog$(_catalog) -l $(*))
 	@$(foreach catalog,$(catalogs), \
@@ -271,14 +271,14 @@
 stats-pot:
 	@echo "translation statistics for catalog templates:"
 	@$(foreach catalog,$(catalogs), \
-	    echo -n "$(catalog.pot): "; \
+	    printf "$(catalog.pot): "; \
 	    msgfmt --statistics $(catalog.pot);)
 	@rm -f messages.mo
 
 stats-%:
 	@$(foreach catalog,$(catalogs), \
 	    [ -e $(catalog.po) ] \
-	    && { echo -n "$(catalog.po): "; \
+	    && { printf "$(catalog.po): "; \
 	         msgfmt --statistics $(catalog.po); } \
 	    || echo "$(catalog.po) doesn't exist (make init-$(*))";)
 	@rm -f messages.mo
@@ -319,7 +319,7 @@
 	@diff=l10n-$(*).diff; \
 	$(vc) diff trac/locale/$(*) > $$diff; \
 	[ -s $$diff ] && { \
-	    echo -n "# $(*) changed -> "; \
+	    printf "# $(*) changed -> "; \
 	    python contrib/l10n_diff_index.py $$diff; \
 	} || rm $$diff

=== debian/changelog ===
trac (1.0.13+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports
  * fix links (Closes: #846650)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 05 Dec 2016 00:03:06 +0000

trac (1.0.13+dfsg-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Remove PAPT from Maintainer field to complete migration to collab-maint

  [ W. Martin Borgert ]
  * new upstream

 -- W. Martin Borgert <debacle@debian.org>  Mon, 03 Oct 2016 22:52:31 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
                      python-babel (>= 0.9.5),
                      python-setuptools (>= 0.6),
                      dh-python
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Otavio Salvador <otavio@debian.org>,
-           W. Martin Borgert <debacle@debian.org>,
+Maintainer: Otavio Salvador <otavio@debian.org>
+Uploaders: W. Martin Borgert <debacle@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/trac.git

## trac 1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
   status              show which Python is used and other infos
 
   [python=...]        variable for selecting Python version
+  [pythonopts=...]    variable containing extra options for the interpreter
 
  ---------------- Testing tasks
 
@@ -125,11 +126,11 @@
 .PHONY: all help status clean clean-bytecode clean-mo
 
 %.py : status
-	python setup.py -q test -s $(subst /,.,$(@:.py=)).suite $(testopts)
+	$(PYTHON) setup.py -q test -s $(subst /,.,$(@:.py=)).test_suite $(testopts)
 
 ifdef test
 all: status
-	python setup.py -q test -s $(subst /,.,$(test:.py=)).suite $(testopts)
+	$(PYTHON) setup.py -q test -s $(subst /,.,$(test:.py=)).test_suite $(testopts)
 else
 all: help
 endif
@@ -143,10 +144,9 @@
 
 status:
 	@echo
-	@printf "Python: "
-	@which python
+	@echo "Python: $$(which $(PYTHON)) $(pythonopts)"
 	@echo
-	@python contrib/make_status.py
+	@$(PYTHON) contrib/make_status.py
 	@echo
 	@echo "Variables:"
 	@echo "  PATH=$$PATH"
@@ -162,7 +162,7 @@
 	@echo
 
 Trac.egg-info: status
-	python setup.py egg_info
+	$(PYTHON) setup.py egg_info
 
 clean: clean-bytecode clean-figleaf clean-coverage clean-doc
 
@@ -213,29 +213,29 @@
 	@$(foreach catalog,$(catalogs), \
 	    [ -e $(catalog.po) ] \
 	    && echo "$(catalog.po) already exists" \
-	    || python setup.py init_catalog$(_catalog) -l $(*);)
+	    || $(PYTHON) setup.py init_catalog$(_catalog) -l $(*);)
 
 
 extract extraction:
-	python setup.py $(foreach catalog,$(catalogs),\
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs),\
 	    extract_messages$(_catalog))
 
 
 update-%:
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    update_catalog$(_catalog) -l $(*)) $(updateopts)
 
 ifdef locale
 update: $(addprefix update-,$(locale))
 else
 update:
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    update_catalog$(_catalog)) $(updateopts)
 endif
 
 
 compile-%:
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    compile_catalog$(_catalog) -l $(*)) \
 	    generate_messages_js -l $(*)
 
@@ -243,7 +243,7 @@
 compile: $(addprefix compile-,$(locale))
 else
 compile:
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    compile_catalog$(_catalog)) generate_messages_js
 endif
 
@@ -256,7 +256,7 @@
 
 check-%:
 	@printf "$(@): "
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    check_catalog$(_catalog) -l $(*))
 	@$(foreach catalog,$(catalogs), \
 	    msgfmt --check $(catalog.po) &&) echo msgfmt OK
@@ -304,10 +304,10 @@
     $(MESSAGES_TOTAL)
 
 summary-%:
-	@python -c "print 'l10n/$(*): translations updated (%d%%)' \
+	@$(PYTHON) -c "print('l10n/$(*): translations updated (%d%%)' \
 	    % (($(foreach catalog,$(catalogs), \
 	          $(shell $(translated-sh)) + ) 0) * 100.0 \
-	       / $(MESSAGES_TOTAL))"
+	       / $(MESSAGES_TOTAL)))"
 	@rm -f messages.mo
 
 
@@ -320,7 +320,7 @@
 	$(vc) diff trac/locale/$(*) > $$diff; \
 	[ -s $$diff ] && { \
 	    printf "# $(*) changed -> "; \
-	    python contrib/l10n_diff_index.py $$diff; \
+	    $(PYTHON) contrib/l10n_diff_index.py $$diff; \
 	} || rm $$diff
 
 # The above create l10n-xy.diff files but also a  l10n-xy.diff.index
@@ -346,13 +346,13 @@
 test: unit-test functional-test
 
 unit-test: Trac.egg-info
-	python ./trac/test.py --skip-functional-tests $(testopts)
+	$(PYTHON) ./trac/test.py --skip-functional-tests $(testopts)
 
 functional-test: Trac.egg-info
-	python trac/tests/functional/__init__.py $(testopts)
+	$(PYTHON) trac/tests/functional/__init__.py $(testopts)
 
 test-wiki:
-	python trac/tests/allwiki.py $(testopts)
+	$(PYTHON) trac/tests/allwiki.py $(testopts)
 
 # ----------------------------------------------------------------------------
 #
@@ -403,11 +403,3 @@
 
 functional-test-coverage:
 	FIGLEAF='coverage run -a $(coverageopts) $(COVERAGEOPTS)' \
-	python trac/tests/functional/__init__.py -v $(testopts)
-
-show-coverage: htmlcov/index.html
-	$(if $(START),$(START) $(<))
-
-htmlcov/index.html:
-	coverage html --omit=*/__init__.py
-

=== debian/changelog ===
trac (1.2+dfsg-1) unstable; urgency=medium

  * new upstream version
  * fix links (Closes: #846650)
  * simplify debian/rules, use pybuild

 -- W. Martin Borgert <debacle@debian.org>  Sat, 03 Dec 2016 20:55:45 +0000

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://ftp.edgewall.com/pub/trac/Trac-(1.0.*).tar.gz debian uupdate

## trac 1.2.2+dfsg

=== debian/changelog ===
trac (1.2.2+dfsg-1) unstable; urgency=medium

  * new upstream version
  * move package back to PAPT, remove Otavio (Closes: #847250)
  * bump standards version and dh compat
  * move git repo to salsa

 -- W. Martin Borgert <debacle@debian.org>  Tue, 06 Mar 2018 22:04:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,26 @@
 Source: trac
 Section: web
 Priority: optional
-Build-Depends: debhelper (>= 9), python-genshi (>= 0.6)
-Build-Depends-Indep: python (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 11)
+Build-Depends-Indep: dh-python,
+                     git,
+                     python (>= 2.6.6-3~),
                      python-babel (>= 0.9.5),
+                     python-docutils,
+                     python-genshi (>= 0.6),
+                     python-lxml,
+                     python-pygments,
                      python-setuptools (>= 0.6),
-                     dh-python
-Maintainer: Otavio Salvador <otavio@debian.org>
+                     python-subversion,
+                     python-textile,
+                     python-twill
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/trac.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/applications/trac
+Vcs-Git: https://salsa.debian.org/python-team/applications/trac.git
 X-Python-Version: >= 2.5
 Homepage: http://trac.edgewall.com

## trac 1.2.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,26 @@
-# == Makefile for Trac related tasks (beyond those supported by setuptools) ==
-#
-# Automating testing, i18n tasks, documentation generation, ... see HELP below
+# == Makefile for Trac related tasks
+#
+# Automating testing, l10n tasks, documentation generation, ... see HELP below
 # ----------------------------------------------------------------------------
 #
 # Note about customization:
+#
 #   No changes to the present Makefile should be necessary,
-#   rather copy Makefile.cfg.sample to Makefile.cfg and adapt it
+#   configuration should take place in the Makefile.cfg file.
+#
+#   Copy Makefile.cfg.sample to Makefile.cfg and adapt it
 #   to match your local environment.
 #
 # Note that this is a GNU Makefile, nmake and other abominations are
-# not supported.
+# not supported. On Windows, you can use it from a msys2 shell, like
+# the one that comes part of https://git-for-windows.github.io.
 #
 # ============================================================================
 
 define HELP
+
+ The Trac Makefile is here to help automate development and
+ maintenance tasks.
 
  Please use `make <target>' where <target> is one of:
 
@@ -23,90 +30,20 @@
   [python=...]        variable for selecting Python version
   [pythonopts=...]    variable containing extra options for the interpreter
 
- ---------------- Testing tasks
-
-  unit-test           run unit tests
-  functional-test     run functional tests
-  test-wiki           shortcut for running all wiki unit tests
-  test                run all tests
-  coverage            run all tests, under coverage
-  figleaf             run all tests, under figleaf
-
-  [db=...]            variable for selecting database backend
-  [test=...]          variable for selecting a single test file
-  [testopts=...]      variable containing extra options for running tests
-  [coverageopts=...]  variable containing extra options for coverage
-
- ---------------- Code checking tasks
-
-  pylint              check code with pylint
-
- ---------------- Standalone test server
-
-  [start-]server      start tracd
-
-  [port=...]          variable for selecting the port
-  [auth=...]          variable for specifying authentication
-  [env=...]           variable for the trac environment or parent dir
-  [tracdopts=...]     variable containing extra options for tracd
-
- ---------------- L10N tasks
-
-  init-xy             create catalogs for given xy locale
-
-  extraction          regenerate the catalog templates
-
-  update              update all the catalog files from the templates
-  update-xy           update the catalogs for the xy locale only
-
-  compile             compile all the catalog files
-  compile-xy          compile the catalogs for the xy locale only
-
-  check               verify all the catalog files
-  check-xy            verify the catalogs for the xy locale only
-
-  stats               detailed translation statistics for all catalogs
-  stats-pot           total messages in the catalog templates
-  stats-xy            translated, fuzzy, untranslated for the xy locale only
-
-  summary             display percent translated for all catalogs
-  summary-xy          display percent translated for the xy locale only
-                      (suitable for a commit message)
-
-  diff                show relevant changes after an update for all catalogs
-  diff-xy             show relevant changes after an update for the xy locale
-  [vc=...]            variable containing the version control command to use
-
-  [locale=...]        variable for selecting a set of locales
-
-  [updateopts=...]    variable containing extra options for update (e.g. -N)
-
- ---------------- Documentation tasks
-
-  apidoc|sphinx       generate the Sphinx documentation (all specified formats)
-  apidoc-html         generate the Sphinx documentation in HTML format
-  apidoc-pdf          generate the Sphinx documentation in PDF format
-  apidoc-check        check for missing symbols in Sphinx documentation
-
-  apiref|epydoc       generate the full API reference using Epydoc
-
-  [sphinxformat=...]  list of formats for generated documentation
-  [sphinxopts=...]    variable containing extra options for Sphinx
-  [sphinxopts-html=...] variable containing extra options used for html format
-  [epydocopts=...]    variable containing extra options for Epydoc
-  [dotpath=/.../dot]  path to Graphviz dot program (not used yet)
-
- ---------------- Miscellaneous
-
-  start-admin         start trac-admin (on `env')
-  start-python        start the Python interpreter
-
-  [adminopts=...]     variable containing extra options for trac-admin
-
-endef
+ As there are many more tasks available, you can ask for specific help:
+
+  help-code           tasks for checking the code style
+  help-testing        tasks and configuration parameters for testing
+  help-server         tasks and configuration for starting tracd
+  help-l10n           tasks and configuration for L10N maintenance
+  help-doc            tasks and configuration for preparing Trac documentation
+  help-release        tasks and configuration for preparing a Trac release
+  help-misc           several other tasks
+
+  help-all            all the tasks at a glance...
+endef
+# `
 export HELP
-
-# ' (keep emacs font-lock happy)
 
 define HELP_CFG
  It looks like you don't have a Makefile.cfg file yet.
@@ -123,7 +60,7 @@
 #
 # ----------------------------------------------------------------------------
 
-.PHONY: all help status clean clean-bytecode clean-mo
+.PHONY: all help help-all status clean clean-bytecode clean-mo
 
 %.py : status
 	$(PYTHON) setup.py -q test -s $(subst /,.,$(@:.py=)).test_suite $(testopts)
@@ -138,6 +75,15 @@
 help: Makefile.cfg
 	@echo "$$HELP"
 
+help_variables = $(filter HELP_%,$(.VARIABLES))
+help_targets = $(filter-out help-CFG,$(help_variables:HELP_%=help-%))
+
+.SECONDEXPANSION:
+help-all: $$(sort $$(help_targets))
+
+
+help-%: Makefile.cfg
+	@echo "$${HELP_$*}"
 
 Makefile.cfg:
 	@echo "$$HELP_CFG"
@@ -164,7 +110,7 @@
 Trac.egg-info: status
 	$(PYTHON) setup.py egg_info
 
-clean: clean-bytecode clean-figleaf clean-coverage clean-doc
+clean: clean-bytecode clean-coverage clean-doc
 
 clean-bytecode:
 	find . -name \*.py[co] -exec rm {} \;
@@ -183,11 +129,48 @@
 # ----------------------------------------------------------------------------
 
 
+
 # ----------------------------------------------------------------------------
 #
 # L10N related tasks
 #
 # ----------------------------------------------------------------------------
+
+define HELP_l10n
+
+ ---------------- L10N tasks
+
+  init-xy             create catalogs for given xy locale
+
+  extraction          regenerate the catalog templates
+
+  update              update all the catalog files from the templates
+  update-xy           update the catalogs for the xy locale only
+
+  compile             compile all the catalog files
+  compile-xy          compile the catalogs for the xy locale only
+
+  check               verify all the catalog files
+  check-xy            verify the catalogs for the xy locale only
+
+  stats               detailed translation statistics for all catalogs
+  stats-pot           total messages in the catalog templates
+  stats-xy            translated, fuzzy, untranslated for the xy locale only
+
+  summary             display percent translated for all catalogs
+  summary-xy          display percent translated for the xy locale only
+                      (suitable for a commit message)
+
+  diff                show relevant changes after an update for all catalogs
+  diff-xy             show relevant changes after an update for the xy locale
+  [vc=...]            variable containing the version control command to use
+
+  [locale=...]        variable for selecting a set of locales
+
+  [updateopts=...]    variable containing extra options for update (e.g. -N)
+
+endef
+export HELP_l10n
 
 catalogs = messages messages-js tracini
 
@@ -335,11 +318,63 @@
 	find trac/htdocs/js/messages -name \*.js -exec rm {} \;
 
 
+
+# ----------------------------------------------------------------------------
+#
+# Code checking tasks
+#
+# ----------------------------------------------------------------------------
+
+define HELP_code
+
+ ---------------- Code checking tasks
+
+  pylint              check code with pylint
+  [module=...]        variable for specifying a module or package
+
+endef
+export HELP_code
+
+pylintopts = --persistent=n --init-import=y \
+--disable=E0102,E0211,E0213,E0602,E0611,E1002,E1101,E1102,E1103 \
+--disable=F0401 \
+--disable=W0102,W0141,W0142,W0201,W0212,W0221,W0223,W0231,W0232, \
+--disable=W0401,W0511,W0603,W0613,W0614,W0621,W0622,W0703 \
+--disable=C0103,C0111 \
+
+ifdef module
+pylint:
+	pylint $(pylintopts) $(subst /,.,$(module:.py=))
+else
+pylint:
+	pylint $(pylintopts) trac tracopt
+endif
+
+
+
 # ----------------------------------------------------------------------------
 #
 # Testing related tasks
 #
 # ----------------------------------------------------------------------------
+
+define HELP_testing
+
+ ---------------- Testing tasks
+
+  unit-test           run unit tests
+  functional-test     run functional tests
+  test-wiki           shortcut for running all wiki unit tests
+  test                run all tests
+  coverage            run all tests, under coverage
+
+  [db=...]            variable for selecting database backend
+  [test=...]          variable for selecting a single test file
+  [testopts=...]      variable containing extra options for running tests
+  [coverageopts=...]  variable containing extra options for coverage
+
+endef
+export HELP_testing
 
 .PHONY: test unit-test functional-test test-wiki
 
@@ -353,24 +388,6 @@
 
 test-wiki:
 	$(PYTHON) trac/tests/allwiki.py $(testopts)
-
-# ----------------------------------------------------------------------------
-#
-# Code checking tasks
-#
-# ----------------------------------------------------------------------------
-
-.PHONY: pylint
-
-pylint:
-	pylint \
-	    --include-ids=y --persistent=n --comment=n --init-import=y \
-	    --disable=E0102,E0211,E0213,E0602,E0611,E1002,E1101,E1102,E1103 \
-	    --disable=F0401 \
-	    --disable=W0102,W0141,W0142,W0201,W0212,W0221,W0223,W0231,W0232, \
-	    --disable=W0401,W0511,W0603,W0613,W0614,W0621,W0622,W0703 \
-	    --disable=C0103,C0111 \
-	    trac tracopt
 
 # ----------------------------------------------------------------------------
 #
@@ -403,3 +420,9 @@
 
 functional-test-coverage:
 	FIGLEAF='coverage run -a $(coverageopts) $(COVERAGEOPTS)' \
+	$(PYTHON) trac/tests/functional/__init__.py -v $(testopts)
+
+show-coverage: htmlcov/index.html
+	$(if $(START),$(START) $(<))
+
+htmlcov/index.html:

=== debian/changelog ===
trac (1.2.3+dfsg-1) unstable; urgency=medium

  * new upstream version

 -- W. Martin Borgert <debacle@debian.org>  Sat, 10 Nov 2018 23:14:24 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/applications/trac
 Vcs-Git: https://salsa.debian.org/python-team/applications/trac.git
-X-Python-Version: >= 2.5
 Homepage: http://trac.edgewall.com
 
 Package: trac

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://ftp.edgewall.com/pub/trac/Trac-(1.2.*).tar.gz debian uupdate

## trac 1.5.2+dfsg

=== debian/changelog ===
trac (1.5.2+dfsg-2) unstable; urgency=medium

  * Source-only re-upload with only minor changes

 -- Martin <debacle@debian.org>  Sun, 10 Jan 2021 20:11:55 +0000

trac (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version, based on Python 3
    Note: Template engine Genshi replaced with Jinja2

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Martin <debacle@debian.org>  Sun, 20 Dec 2020 11:32:18 +0000
